Module java.desktop
Package javax.swing.text

## Class StyleConstants.ColorConstants

- java.lang.Object
- - javax.swing.text.StyleConstants
  - - javax.swing.text.StyleConstants.ColorConstants

- All Implemented Interfaces:
    `AttributeSet.CharacterAttribute`, `AttributeSet.ColorAttribute`
  Enclosing class:
    StyleConstants

      public static class StyleConstants.ColorConstants
      extends StyleConstants
      implements AttributeSet.ColorAttribute, AttributeSet.CharacterAttribute

  This is a typesafe enumeration of the well-known attributes that contribute to a color. These are aliased by the outer class for general presentation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in class javax.swing.text.StyleConstants

      `StyleConstants.CharacterConstants, StyleConstants.ColorConstants, StyleConstants.FontConstants, StyleConstants.ParagraphConstants`

  - ### Field Summary

    - ### Fields declared in class javax.swing.text.StyleConstants

      `ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_LEFT, ALIGN_RIGHT, Alignment, Background, BidiLevel, Bold, ComponentAttribute, ComponentElementName, ComposedTextAttribute, Family, FirstLineIndent, FontFamily, FontSize, Foreground, IconAttribute, IconElementName, Italic, LeftIndent, LineSpacing, ModelAttribute, NameAttribute, Orientation, ResolveAttribute, RightIndent, Size, SpaceAbove, SpaceBelow, StrikeThrough, Subscript, Superscript, TabSet, Underline`

  - ### Method Summary

    - ### Methods declared in class javax.swing.text.StyleConstants

      `getAlignment, getBackground, getBidiLevel, getComponent, getFirstLineIndent, getFontFamily, getFontSize, getForeground, getIcon, getLeftIndent, getLineSpacing, getRightIndent, getSpaceAbove, getSpaceBelow, getTabSet, isBold, isItalic, isStrikeThrough, isSubscript, isSuperscript, isUnderline, setAlignment, setBackground, setBidiLevel, setBold, setComponent, setFirstLineIndent, setFontFamily, setFontSize, setForeground, setIcon, setItalic, setLeftIndent, setLineSpacing, setRightIndent, setSpaceAbove, setSpaceBelow, setStrikeThrough, setSubscript, setSuperscript, setTabSet, setUnderline, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`